ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kyle Adams" <kad...@gfs.com>
Subject <style> and abstract method error
Date Tue, 02 Jul 2002 20:30:34 GMT
We've got a real puzzler on our hands - our build scripts use XSLT to
generate on the fly.  One of our developers (so far, the only one)
consistently gets the following stack trace when he tries to build:

java.lang.AbstractMethodError
        at
org.apache.tools.ant.taskdefs.XSLTProcess.configureLiaison(XSLTProcess.java:459)
        at
org.apache.tools.ant.taskdefs.XSLTProcess.process(XSLTProcess.java:368)
        at
org.apache.tools.ant.taskdefs.XSLTProcess.execute(XSLTProcess.java:159)
        at org.apache.tools.ant.Task.perform(Task.java:217)
        at org.apache.tools.ant.Target.execute(Target.java:184)
        at org.apache.tools.ant.Target.performTasks(Target.java:202)
        at
org.apache.tools.ant.Project.executeTarget(Project.java:601)
        at
org.apache.tools.ant.Project.executeTargets(Project.java:560)
        at org.apache.tools.ant.Main.runBuild(Main.java:454)
        at org.apache.tools.ant.Main.start(Main.java:153)
        at org.apache.tools.ant.Main.main(Main.java:176)

I've tried all sort of things to fix this - I've verified that the
version of xalan in ANT_HOME/lib is up to date, I've tried specifying
the processor explicitly (running this with the -debug tag reveals that
the trax processor is being used when not specified explicitly), I've
simplified the CLASSPATH environmental variable until it only references
the tools.jar, I've verified that he's got Ant, version 1.4.1, etc.  I
even created a real simple ant build script and accompanying XML/XSL
files (attached), and still had the same problem.

He's got Ant 1.4.1, running on Windows NT 4, using Xalan 1.2.2 (I
think, though I'm not quite sure about that one).

Any ideas?

Thanks,
Kyle

Mime
View raw message